
package Term::Size::Perl::Params; 

use vars qw($VERSION);
$VERSION = '0.031';

sub params {
    return (
        winsize => {
            sizeof => 8,
            mask => 'S!S!S!S!'
        },
        TIOCGWINSZ => {
            value => 1344276328,
            definition => qq{(((104)) | ((((('t')) - 'f') | ((((0) | (((0) | ((4) | ((0) | ((0) | ((sizeof (unsigned short int) == 8 ? IOC_64 : (enum __ioctl_datum) (sizeof (unsigned short int) >> 1))) << 2) << 2) << 5) << 5) << 3))) | (IOC_OUT) << 19) << 4) << 7))}
        }
    );
}

1;

=pod

=head1 NAME

Term::Size::Perl::Params - Configuration for Term::Size::Perl

=head1 SYNOPSIS

    use Term::Size::Perl::Params ();

    %params = Term::Size::Perl::Params::params();

=head1 DESCRIPTION

The configuration parameters C<Term::Size::Perl> needs to
know for retrieving the terminal size with C<ioctl>.

=head1 FUNCTIONS

=head2 params

The configuration parameters C<Term::Size::Perl> needs to
know for retrieving the terminal size with C<ioctl>.

=cut
